---
output: github_document
---

<!-- README.md is generated from README.Rmd. Please edit that file -->

```{r, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>",
  fig.path = "man/figures/README-",
  out.width = "100%"
)
```

# toolboxfilecharlotte

<!-- badges: start -->
<!-- badges: end -->

The goal of toolboxfilecharlotte is to ...

## Installation

You can install the development version of toolboxfilecharlotte like so:

``` r
library(toolboxfilecharlotte)
```

## Example

This is a basic example which shows you how to solve a common problem:

```{r example}
library(toolboxfilecharlotte)
## basic example code

get_one_file_size(file = "analyse_facto.Rmd")

get_all_file_size(path = ".")

search_folder_size(path = ".", taille =  500)
```

What is special about using `README.Rmd` instead of just `README.md`? You can include R chunks like so:

```{r cars}
summary(cars)
```

You'll still need to render `README.Rmd` regularly, to keep `README.md` up-to-date. `devtools::build_readme()` is handy for this. You could also use GitHub Actions to re-render `README.Rmd` every time you push. An example workflow can be found here: <https://github.com/r-lib/actions/tree/v1/examples>.

You can also embed plots, for example:

```{r pressure, echo = FALSE}
plot(pressure)
```

In that case, don't forget to commit and push the resulting figure files, so they display on GitHub and CRAN.
